/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.11.22
 * 描述               :        			分条作业实绩数据
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Lengthwise.Performance.vo;

public class MesCrSlittingMSum {
	
	private String crs_cut_mode;
	private Double crs_cut_len1;
	private Double crs_cut_len2;
	private Double crs_cut_len3;
	private Double crs_cut_len4;
	private Double crs_cut_len5;
	private String wrk_date;
	private String wrk_ord;
	private String wrk_grp;
	private String wrk_ord_desc;
	private String wrk_grp_desc;
	private String bld_set_gap;
	private String bld_set_overlay;
	private String plt_tension;
	private String prm_rcd_opr;
	private String prm_chk_opr;
	//边丝宽度
	private Double wire_wdt;
	public Double  getWire_wdt() {
		return this.wire_wdt;
	}
	public void setWire_wdt(Double wire_wdt) {
		this.wire_wdt = wire_wdt;
	}
	
	public String getBld_set_gap() {
		return bld_set_gap;
	}


	public void setBld_set_gap(String bld_set_gap) {
		this.bld_set_gap = bld_set_gap;
	}


	public String getBld_set_overlay() {
		return bld_set_overlay;
	}


	public void setBld_set_overlay(String bld_set_overlay) {
		this.bld_set_overlay = bld_set_overlay;
	}


	public String getPlt_tension() {
		return plt_tension;
	}


	public void setPlt_tension(String plt_tension) {
		this.plt_tension = plt_tension;
	}


	public String getPrm_rcd_opr() {
		return prm_rcd_opr;
	}


	public void setPrm_rcd_opr(String prm_rcd_opr) {
		this.prm_rcd_opr = prm_rcd_opr;
	}


	public String getPrm_chk_opr() {
		return prm_chk_opr;
	}


	public void setPrm_chk_opr(String prm_chk_opr) {
		this.prm_chk_opr = prm_chk_opr;
	}


	public String getWrk_date() {
		return wrk_date;
	}


	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}


	public String getWrk_ord() {
		return wrk_ord;
	}


	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}


	public String getWrk_grp() {
		return wrk_grp;
	}


	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}


	public String getWrk_ord_desc() {
		return wrk_ord_desc;
	}


	public void setWrk_ord_desc(String wrk_ord_desc) {
		this.wrk_ord_desc = wrk_ord_desc;
	}


	public String getWrk_grp_desc() {
		return wrk_grp_desc;
	}


	public void setWrk_grp_desc(String wrk_grp_desc) {
		this.wrk_grp_desc = wrk_grp_desc;
	}


	public String getCrs_cut_mode() {
		return crs_cut_mode;
	}


	public Double getCrs_cut_len1() {
		return crs_cut_len1;
	}

	public void setCrs_cut_len1(Double crs_cut_len1) {
		this.crs_cut_len1 = crs_cut_len1;
	}

	public Double getCrs_cut_len2() {
		return crs_cut_len2;
	}

	public void setCrs_cut_len2(Double crs_cut_len2) {
		this.crs_cut_len2 = crs_cut_len2;
	}

	public Double getCrs_cut_len3() {
		return crs_cut_len3;
	}

	public void setCrs_cut_len3(Double crs_cut_len3) {
		this.crs_cut_len3 = crs_cut_len3;
	}

	public void setCrs_cut_mode(String crs_cut_mode) {
		this.crs_cut_mode = crs_cut_mode;
	}


	//作业计划号
	private String schedule_no;
	
	//机台号		
	private String machine_code;

	//序号		
	private String inner_seq;
	
	//材料号			
	private String material_no;
	
	//虚拟材料号					
	private String material_no_vt;
	
	//牌号		
	private String steel_code;
	
	//牌号名称
	private String steel_name;
	
	//厚×宽				
	private String spec;
	
	//长度
	private Double mtr_len;
	
	//内径		
	private Double mtr_inn_dia;
	
	//外径		
	private Double mtr_out_dia;
	
	//理重			
	private Double mtr_thr_wgt;
	
	//实重			
	private Double mtr_act_wgt;
	
	//计划子卷数			
	private int sub_count;
	
	//完成子卷数	
	private int act_count;
	
	//上料时间	
	private String feeding_time;
	
	//上料称重		
	private Double feeding_wgt;
	
	//原料卷称重时间		
	private String feeding_wgt_time;
	
	//开卷时间	
	private String decoil_time;
	
	//分条开始时间
	private String cut_str_time;
	
	//分条结束时间	
	private String cut_end_time;
	
	//开卷张力	
	private Double decoil_tension;
	
	//最小开卷张力			
	private Double decoil_tension_min;
	
	//最大开卷张力				
	private Double decoil_tension_max;
	
	//穿带速度		
	private Double thread_speed;
	
	//最小穿带速度			
	private Double thread_speed_min;
	
	//最大穿带速度			
	private Double thread_speed_max;
	
	//加工速度				
	private Double process_speed;
	
	//最小加工速度		
	private Double process_speed_min;
	
	//最大加工速度				
	private Double process_speed_max;
	
	//卷曲张力					
	private Double coil_tension;
	
	//最小卷曲张力		
	private Double coil_tension_min;
	
	//最大卷曲张力						
	private Double coil_tension_max;

	//横切次数
	private int cross_cut_times;
	
	//断带次数
	private int rll_break_times;
	
	//断带原因
	private String rll_break_reason;
	
	//是否部分原料卷吊销
	private String partial_rejected;
	
	//吊销卷号
	private String rejected_coil_no;
	
	//吊销卷理重
	private Double rejected_coil_thr_wgt;
	
	//吊销卷实重
	private Double rejected_coil_act_wgt;
	
	//吊销卷长度
	private Double rejected_coil_len;
	
	//吊销卷外径					
	private Double rejected_coil_out_dia;
	
	//上料时长（sec）
	private Integer time_loading_time;
	
	//开卷时长（sec）
	private Integer uncoil_time;
	
	//电耗
	private Integer energy_expended_coil_process;
	
	//备注
	private String memo;
	
	
	public String getMemo() {
		return memo;
	}


	public void setMemo(String memo) {
		this.memo = memo;
	}


	public Double getCrs_cut_len4() {
		return crs_cut_len4;
	}


	public void setCrs_cut_len4(Double crs_cut_len4) {
		this.crs_cut_len4 = crs_cut_len4;
	}

	public Double getCrs_cut_len5() {
		return crs_cut_len5;
	}
	public void setCrs_cut_len5(Double crs_cut_len5) {
		this.crs_cut_len5 = crs_cut_len5;
	}
	
	public Integer getTime_loading_time() {
		return time_loading_time;
	}


	public void setTime_loading_time(Integer time_loading_time) {
		this.time_loading_time = time_loading_time;
	}


	public Integer getUncoil_time() {
		return uncoil_time;
	}


	public void setUncoil_time(Integer uncoil_time) {
		this.uncoil_time = uncoil_time;
	}


	public Integer getEnergy_expended_coil_process() {
		return energy_expended_coil_process;
	}


	public void setEnergy_expended_coil_process(Integer energy_expended_coil_process) {
		this.energy_expended_coil_process = energy_expended_coil_process;
	}


	public int getCross_cut_times() {
		return cross_cut_times;
	}

	public void setCross_cut_times(int cross_cut_times) {
		this.cross_cut_times = cross_cut_times;
	}

	public int getRll_break_times() {
		return rll_break_times;
	}

	public void setRll_break_times(int rll_break_times) {
		this.rll_break_times = rll_break_times;
	}

	public String getRll_break_reason() {
		return rll_break_reason;
	}

	public void setRll_break_reason(String rll_break_reason) {
		this.rll_break_reason = rll_break_reason;
	}

	public String getPartial_rejected() {
		return partial_rejected;
	}

	public void setPartial_rejected(String partial_rejected) {
		this.partial_rejected = partial_rejected;
	}

	public String getRejected_coil_no() {
		return rejected_coil_no;
	}

	public void setRejected_coil_no(String rejected_coil_no) {
		this.rejected_coil_no = rejected_coil_no;
	}

	public Double getRejected_coil_thr_wgt() {
		return rejected_coil_thr_wgt;
	}

	public void setRejected_coil_thr_wgt(Double rejected_coil_thr_wgt) {
		this.rejected_coil_thr_wgt = rejected_coil_thr_wgt;
	}

	public Double getRejected_coil_act_wgt() {
		return rejected_coil_act_wgt;
	}

	public void setRejected_coil_act_wgt(Double rejected_coil_act_wgt) {
		this.rejected_coil_act_wgt = rejected_coil_act_wgt;
	}

	public Double getRejected_coil_len() {
		return rejected_coil_len;
	}

	public void setRejected_coil_len(Double rejected_coil_len) {
		this.rejected_coil_len = rejected_coil_len;
	}

	public Double getRejected_coil_out_dia() {
		return rejected_coil_out_dia;
	}

	public void setRejected_coil_out_dia(Double rejected_coil_out_dia) {
		this.rejected_coil_out_dia = rejected_coil_out_dia;
	}

	public String getSchedule_no() {
		return schedule_no;
	}

	public void setSchedule_no(String schedule_no) {
		this.schedule_no = schedule_no;
	}

	public String getMachine_code() {
		return machine_code;
	}

	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	public String getInner_seq() {
		return inner_seq;
	}

	public void setInner_seq(String inner_seq) {
		this.inner_seq = inner_seq;
	}

	public String getMaterial_no() {
		return material_no;
	}

	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	public String getMaterial_no_vt() {
		return material_no_vt;
	}

	public void setMaterial_no_vt(String material_no_vt) {
		this.material_no_vt = material_no_vt;
	}

	public String getSpec() {
		return spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public Double getMtr_len() {
		return mtr_len;
	}

	public void setMtr_len(Double mtr_len) {
		this.mtr_len = mtr_len;
	}

	public Double getMtr_inn_dia() {
		return mtr_inn_dia;
	}

	public void setMtr_inn_dia(Double mtr_inn_dia) {
		this.mtr_inn_dia = mtr_inn_dia;
	}

	public Double getMtr_out_dia() {
		return mtr_out_dia;
	}

	public void setMtr_out_dia(Double mtr_out_dia) {
		this.mtr_out_dia = mtr_out_dia;
	}

	public Double getMtr_thr_wgt() {
		return mtr_thr_wgt;
	}

	public void setMtr_thr_wgt(Double mtr_thr_wgt) {
		this.mtr_thr_wgt = mtr_thr_wgt;
	}

	public Double getMtr_act_wgt() {
		return mtr_act_wgt;
	}

	public void setMtr_act_wgt(Double mtr_act_wgt) {
		this.mtr_act_wgt = mtr_act_wgt;
	}

	public int getSub_count() {
		return sub_count;
	}

	public void setSub_count(int sub_count) {
		this.sub_count = sub_count;
	}

	public int getAct_count() {
		return act_count;
	}

	public void setAct_count(int act_count) {
		this.act_count = act_count;
	}

	public String getFeeding_time() {
		return feeding_time;
	}

	public void setFeeding_time(String feeding_time) {
		this.feeding_time = feeding_time;
	}

	public Double getFeeding_wgt() {
		return feeding_wgt;
	}

	public void setFeeding_wgt(Double feeding_wgt) {
		this.feeding_wgt = feeding_wgt;
	}

	public String getFeeding_wgt_time() {
		return feeding_wgt_time;
	}

	public void setFeeding_wgt_time(String feeding_wgt_time) {
		this.feeding_wgt_time = feeding_wgt_time;
	}

	public String getDecoil_time() {
		return decoil_time;
	}

	public void setDecoil_time(String decoil_time) {
		this.decoil_time = decoil_time;
	}

	public String getCut_str_time() {
		return cut_str_time;
	}

	public void setCut_str_time(String cut_str_time) {
		this.cut_str_time = cut_str_time;
	}

	public String getCut_end_time() {
		return cut_end_time;
	}

	public void setCut_end_time(String cut_end_time) {
		this.cut_end_time = cut_end_time;
	}

	public Double getDecoil_tension() {
		return decoil_tension;
	}

	public void setDecoil_tension(Double decoil_tension) {
		this.decoil_tension = decoil_tension;
	}

	public Double getDecoil_tension_min() {
		return decoil_tension_min;
	}

	public void setDecoil_tension_min(Double decoil_tension_min) {
		this.decoil_tension_min = decoil_tension_min;
	}

	public Double getDecoil_tension_max() {
		return decoil_tension_max;
	}

	public void setDecoil_tension_max(Double decoil_tension_max) {
		this.decoil_tension_max = decoil_tension_max;
	}

	public Double getThread_speed() {
		return thread_speed;
	}

	public void setThread_speed(Double thread_speed) {
		this.thread_speed = thread_speed;
	}

	public Double getThread_speed_min() {
		return thread_speed_min;
	}

	public void setThread_speed_min(Double thread_speed_min) {
		this.thread_speed_min = thread_speed_min;
	}

	public Double getThread_speed_max() {
		return thread_speed_max;
	}

	public void setThread_speed_max(Double thread_speed_max) {
		this.thread_speed_max = thread_speed_max;
	}

	public Double getProcess_speed() {
		return process_speed;
	}

	public void setProcess_speed(Double process_speed) {
		this.process_speed = process_speed;
	}

	public Double getProcess_speed_min() {
		return process_speed_min;
	}

	public void setProcess_speed_min(Double process_speed_min) {
		this.process_speed_min = process_speed_min;
	}

	public Double getProcess_speed_max() {
		return process_speed_max;
	}

	public void setProcess_speed_max(Double process_speed_max) {
		this.process_speed_max = process_speed_max;
	}

	public Double getCoil_tension() {
		return coil_tension;
	}

	public void setCoil_tension(Double coil_tension) {
		this.coil_tension = coil_tension;
	}

	public Double getCoil_tension_min() {
		return coil_tension_min;
	}

	public void setCoil_tension_min(Double coil_tension_min) {
		this.coil_tension_min = coil_tension_min;
	}

	public Double getCoil_tension_max() {
		return coil_tension_max;
	}

	public void setCoil_tension_max(Double coil_tension_max) {
		this.coil_tension_max = coil_tension_max;
	}

	public String getSteel_code() {
		return steel_code;
	}

	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	public String getSteel_name() {
		return steel_name;
	}

	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	
}
